Bug 34934 - Kernel 2.2.17-14 Does not work with a 3COM905C (new) but works fine with 3C905B (all versions)
Kernel 2.2.17-14 Does not work with a 3COM905C (new) but works fine with 3C90...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
N/A
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-05 21:57 EDT by bmeyer
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bmeyer 2001-04-05 21:57:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


I spent 12 hours trying to discover why I could get either computer to see 
each other, let alone the network.

I wasn't even getting data in tcpdump. On one machine, the link light 
would disappear immediately after the boot was finished. The other would 
remain on. Both machines are Athlon 1,000MHz 512 MB ram, with the 3com 
#C905C NIC installed. Kudzu showed them as correctly identified. Finally, 
after ruling everything from the hub, cables, configuration etc., out, I 
replaced the 3C905C's with 3C905B's, and immediately everything worked.

I would like to suggest that kernel 2.2.17-14 does not properly support 
the 3COM 3C905C network Interface Card. Both cards work perfectly in a 
Windows machine.


Reproducible: Always
Steps to Reproduce:
1. Install RH6.2 With ALL Updated RPM's including kernel 2.2.17-14 on two 
machines.
2. Configure the machines on a network and run tcpdump on one machine and 
ping the machine from the other one while running tcpdump in another 
virtual teminal. DO this from each machine.
3. You'll see that the traffic never get's to the other machines. Kudzue 
correctly ID's the card on uninstall as a 3C905C. Replace the NIC'
s with 3C905B's and all works as it should. The 3C905C is a new version of 
the 3C905.
	

Actual Results:  I saw no packets being received or successuflly making 
it's way to the other machine. I could not ping any place including 
www.yahoo.com. I could do localhost pinging and see traffic to localhost 
in tcpdump.

Expected Results:  I shopuld have been able to perform common network 
tasks with the 3C905C installed.
Comment 1 Bugzilla owner 2004-09-30 11:38:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.